%define	name	3ddesktop
%define	version	0.2.5
%define	release	3mdk
%define	Summary	OpenGL virtual desktop switcher
Summary:	%{Summary}
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Graphical desktop/Other
Source0:	http://www.systemtoolbox.com/bard/3ddesktop/dl/%{name}-%{version}.tar.bz2
Source1:	%{name}-icons.tar.bz2
#This might not be the best way, but..
Source2:	%{name}.sh.bz2
#Patch0:	%{name}-gcc3.2-fix.patch.bz2
URL:		http://desk3d.sourceforge.net
Requires:	imlib2 >= 1.0.2
BuildRequires:	imlib2-devel >= 1.0.2 freetype-devel kdelibs-devel libMesaGLU1-devel XFree86-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description 
3d Destkop is an OpenGL program for switching virtual desktops in a
seamless 3-dimensional manner. The current desktop is mapped into a 3D
space where you may choose other screens. When activated the current
desktop appears to zoom out into the 3D view.  Several different
visualization modes are available.
You might want to add a keybinding in your window manager for this one.

%prep
%setup -q
#%patch0 -p0

%build
%configure2_5x	--sysconfdir=%{_sysconfdir}/X11 \
		--disable-dependency-tracking \
		--with-qt-dir=%{_prefix}/lib/qt3 \
		--with-kde-includes=%{_includedir}

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
bzcat %{SOURCE2} > $RPM_BUILD_ROOT%{_bindir}/%{name}; chmod 755 $RPM_BUILD_ROOT%{_bindir}/%{name}

install -d $RPM_BUILD_ROOT%{_menudir}
cat <<EOF >$RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="%{_bindir}/%{name}" \
		  icon=%{name}.png \
		  needs="x11" \
		  section="Amusement/Toys" \
		  title="3d-Desktop"\
		  longtitle="%{Summary}"
EOF

install -d ${RPM_BUILD_ROOT}{%{_miconsdir},%{_liconsdir}}
tar -xOjf %{SOURCE1} icons/%{name}-16x16.png > ${RPM_BUILD_ROOT}%{_miconsdir}/%{name}.png
tar -xOjf %{SOURCE1} icons/%{name}-32x32.png > ${RPM_BUILD_ROOT}%{_iconsdir}/%{name}.png
tar -xOjf %{SOURCE1} icons/%{name}-48x48.png > ${RPM_BUILD_ROOT}%{_liconsdir}/%{name}.png

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README COPYING ChangeLog TODO AUTHORS
%{_bindir}/*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/digits.bmp
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%config(noreplace) %{_sysconfdir}/X11/3ddesktop.conf

%changelog
* Sun Jul 13 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.2.5-3mdk
- change summary macro to avoid possible conflicts if you were to build
  debug packages

* Thu Jun 19 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.2.5-2mdk
- fix path to qt3 (lib64 issues..)

* Fri Apr 25 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.2.5-1mdk
- 0.2.5
- fixed buildrequires

* Tue Mar 11 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.2.4-2mdk
- Added libMesaGLU1-devel to BuildRequires

* Mon Nov 24 2002 Per yvind Karlsen <peroyvind@sintrax.net> 0.2.4-1mdk
- 0.2.4

* Sun Nov 24 2002 Per yvind Karlsen <peroyvind@sintrax.net> 0.2.3-3mdk
- Opps, specify %dir %{_datadir}/%{name} in file list
- Don't use --fastest(yes, I did have som bad experiences;)

* Sun Nov 24 2002 Per yvind Karlsen <peroyvind@sintrax.net> 0.2.3-2mdk
- Kde support now working, compile bug fixed(patch #0)

* Sun Nov 24 2002 Per yvind Karlsen <peroyvind@sintrax.net> 0.2.3-1mdk
- Added kde stuff to configure(but failed to compile, disabled it for now)
- Added startup script
- Cleaned up a little
- Updated URL
- bzip2'ed source
- Corrected Summary
- Corrected Group
- Moved conf file into %{_sysconfdir}/X11
- Added menuitem and icons

* Sun Nov 24 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.2.3-0.1mdk

* Tue Aug 13 2002 wiget@pld-linux.org
- move 3ddesktop.spec to 3ddesktop.spec.in and make VERSION substitute automagicaly
- small changes for easy future development
